#
# ucpk01.rb
#
# $Id: ucpk01.rb,v 1.1 2000/11/22 14:35:56 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include Math


jd0 = 19920401

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::sgopn(-(iws.abs))

DCL::sglset('LFULL', true)
DCL::uzfact(0.7)
DCL::slrat(0.75, 1.0)
DCL::sldiv('T', 1, 7)

DCL::sgfrm
DCL::uzinit
nd=30
DCL::sgswnd(0.0, nd.to_f, 0.0, 1.0)
DCL::sgsvpt(0.1, 0.9, 0.1, 0.11)
DCL::sgstrn(1)
DCL::sgstrf
DCL::ucxacl('B', jd0, nd)

DCL::sgfrm
DCL::uzinit
nd=90
DCL::sgswnd(0.0, nd.to_f, 0.0, 1.0)
DCL::sgsvpt(0.1, 0.9, 0.1, 0.11)
DCL::sgstrn(1)
DCL::sgstrf
DCL::ucxacl('B', jd0, nd)

DCL::sgfrm
DCL::uzinit
nd=180
DCL::sgswnd(0.0, nd.to_f, 0.0, 1.0)
DCL::sgsvpt(0.1, 0.9, 0.1, 0.11)
DCL::sgstrn(1)
DCL::sgstrf
DCL::ucxacl('B', jd0, nd)

DCL::sgfrm
DCL::uzinit
nd=400
DCL::sgswnd(0.0, nd.to_f, 0.0, 1.0)
DCL::sgsvpt(0.1, 0.9, 0.1, 0.11)
DCL::sgstrn(1)
DCL::sgstrf
DCL::ucxacl('B', jd0, nd)

DCL::sgfrm
DCL::uzinit
nd=60
DCL::sgswnd(0.0, nd.to_f, 0.0, 1.0)
DCL::sgsvpt(0.1, 0.9, 0.1, 0.11)
DCL::sgstrn(1)
DCL::sgstrf
DCL::ucxady('B', jd0, nd)
ctl = 'UCXADY (ND=60)'
DCL::uxsttl('B', ctl, 0.0)

DCL::sgfrm
DCL::uzinit
nd=120
DCL::sgswnd(0.0, nd.to_f, 0.0, 1.0)
DCL::sgsvpt(0.1, 0.9, 0.1, 0.11)
DCL::sgstrn(1)
DCL::sgstrf
DCL::ucxamn('B', jd0, nd)
ctl = 'UCXAMN (ND=120)'
DCL::uxsttl('B', ctl, 0.0)

DCL::sgfrm
DCL::uzinit
nd=2000
DCL::sgswnd(0.0, nd.to_f, 0.0, 1.0)
DCL::sgsvpt(0.1, 0.9, 0.1, 0.11)
DCL::sgstrn(1)
DCL::sgstrf
DCL::ucxayr('B', jd0, nd)
ctl = 'UCXAYR (ND=2000)'
DCL::uxsttl('B', ctl, 0.0)

DCL::sgcls

